org.modeshape.sequencer.javafile.metadata

## Class JavaMetadata

- java.lang.Object
- - org.modeshape.sequencer.javafile.AbstractJavaMetadata
  - - org.modeshape.sequencer.javafile.metadata.JavaMetadata

-     public class JavaMetadata
      extends AbstractJavaMetadata

  Metadata for a Java source file.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ImportMetadata>` | `getImports()` Gets a list of from the unit.
    `PackageMetadata` | `getPackageMetadata()` Gets the `PackageMetadata` from the unit.
    `List<TypeMetadata>` | `getTypeMetadata()` Gets the list for type declarations (class/interface/enum/annotation) of this unit.
    `static JavaMetadata` | `instance(InputStream inputStream, long length, String encoding)` Creates a new instance of `JavaMetadata`, that will be used to get informations of a compilation unit.

    - ### Methods inherited from class org.modeshape.sequencer.javafile.AbstractJavaMetadata

      `createAnnotationMetadataFor, createImportMetadata, createPackageMetadata, createParameterizedFieldMetadataFrom, createTypeMetadata, getConstructorMetadataFrom, getFieldMetadataFrom, getFieldName, getMethodMetadataFrom, getMethodTypeMemberMetadataFrom, processArrayTypeFrom, processModifiersOfFieldDeclaration, processModifiersOfMethodDeclaration, processModifiersOfTypeDeclaration, processParameterizedType, processParametersOfMethodDeclaration, processPrimitiveType, processReturnTypeOfMethodDeclaration, processSimpleType, processVariablesOfVariableDeclarationFragment`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### instance

          public static JavaMetadata instance(InputStream inputStream,
                              long length,
                              String encoding)
                                       throws IOException

      Creates a new instance of `JavaMetadata`, that will be used to get informations of a compilation unit.
      Parameters:
        `inputStream` - - the `InputStream` in our case a `FileInputStream` of the java file.
        `length` - - the length of the java file.
        `encoding` - - the encoding that can be used.
      Returns:
        the new instace of `JavaMetadata`
      Throws:
        `IOException` - if the input stream cannot be parsed
      See Also:
        `File.length()`

    - #### getPackageMetadata

          public final PackageMetadata getPackageMetadata()

      Gets the `PackageMetadata` from the unit.
      Returns:
        the PackageMetadata or null if there is not package declaration for the unit.

    - #### getImports

          public List<ImportMetadata> getImports()

      Gets a list of from the unit.
      Returns:
        all imports of this unit if there is one.

    - #### getTypeMetadata

          public List<TypeMetadata> getTypeMetadata()

      Gets the list for type declarations (class/interface/enum/annotation) of this unit.
      Returns:
        all typeMetadata of this unit.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.